Package com.castlabs.android.exoplayer2.ext.amlnativeplayer

## Class AmlComponent

- java.lang.Object
- - com.castlabs.android.exoplayer2.ext.amlnativeplayer.AmlComponent

- All Implemented Interfaces:
    `PlayerControllerPlugin.Component`

      public class AmlComponent
      extends Object
      implements PlayerControllerPlugin.Component

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AmlComponent​(AmlTrackRendererPlugin amlTrackRendererPlugin, AmLogicPlayerPlugin amLogicPlayerPlugin)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class` | `id()` |
    `void` | `onDestroy​(PlayerController playerController)` |
    `void` | `onOpenBundle​(PlayerController playerController, Bundle bundle)` |
    `void` | `onOpenState​(PlayerController playerController, PlayerConfig playerConfig)` |
    `void` | `removeWVCASLicense​(String lic)` |
    `void` | `setEventDispatcher​(com.google.android.exoplayer2.analytics.IptvAnalyticsListener.EventDispatcher eventDispatcher)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AmlComponent

          public AmlComponent​(AmlTrackRendererPlugin amlTrackRendererPlugin,
                              AmLogicPlayerPlugin amLogicPlayerPlugin)

  - ### Method Detail

    - #### setEventDispatcher

          public void setEventDispatcher​(@Nullable
                                         com.google.android.exoplayer2.analytics.IptvAnalyticsListener.EventDispatcher eventDispatcher)

    - #### removeWVCASLicense

          public void removeWVCASLicense​(String lic)

    - #### id

          @NonNull
          public Class id()

      Specified by:
        `id` in interface `PlayerControllerPlugin.Component`

    - #### onDestroy

          public void onDestroy​(@NonNull
                                PlayerController playerController)

      Specified by:
        `onDestroy` in interface `PlayerControllerPlugin.Component`

    - #### onOpenBundle

          public void onOpenBundle​(@NonNull
                                   PlayerController playerController,
                                   @NonNull
                                   Bundle bundle)

      Specified by:
        `onOpenBundle` in interface `PlayerControllerPlugin.Component`

    - #### onOpenState

          public void onOpenState​(PlayerController playerController,
                                  PlayerConfig playerConfig)

      Specified by:
        `onOpenState` in interface `PlayerControllerPlugin.Component`